## pinfo 0.6.13

=== debian/changelog ===
pinfo (0.6.13-2) unstable; urgency=medium

  * d/control: Adopt package setting Maintainer to myself (Closes: #1099127).
    Many thanks to Baz Zoetekouw for maintaining the package during so many
    years in Debian, and for still maintaining it upstream.
  * d/p/*:
    - Add patch to consider only regular files when trying potential info
      files (Closes: #1021533).
    - Add patch to fix handling of KEY_PREVNODE* + KEY_NEXTNODE* in
      manpages (Closes: #1021526).
    - Add patch dealing with note links spanning more than 2 lines
      (Closes: #1009154).
    - Add patch to set HTTPVIEWER to 'sensible-browser' (Closes: #945229).
    - Add patch to update the Romanian translation (Closes: #1080216).
    - Add patch to update the Brazilian Portuguese translation
      (Closes: #1098751).
    - fix_gcc-10.patch + Werror-format.patch: Update header.
  * d/control:
    - Fix Build-Depends: libncursesw5-dev => libncurses-dev.
    - Switch Build-Depends: debhelper (>=11) => debhelper-compat (=13), and
      consequently drop d/compat.
    - Add Rules-Requires-Root: no.
    - Bump Standards-Version to 4.7.2.
    - Add fields Vcs-Browser and Vcs-Git.
    - Correct wording and typos in Description.
  * d/rules: Remove trailing empty line.
  * d/watch: Drop unneeded option filenamemangle.
  * d/u/metadata: Add upstream metadata file.
  * d/copyright: Rework file to comply with DEP-5.
  * d/gbp.conf: Introduce gbp configuration file.
  * d/salsa-ci.yml: Introduce Salsa-Ci configuration file.
  * d/pinfo-docs.docs: Remove unneeded file.
  * d/control + d/copyright: Apply 'wrap-and-sort -at'.

 -- Sven Geuer <sge@debian.org>  Wed, 05 Mar 2025 23:34:07 +0100

pinfo (0.6.13-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to ignore current directory when searching for files to display
    (Closes: #1077605).
  * Add d/NEWS.

 -- Sven Geuer <sge@debian.org>  Fri, 14 Feb 2025 17:36:51 +0100

pinfo (0.6.13-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop menu file, as the Debian menu system is deprecated.
  * Fix watch file.
  * Remove the explicit as-needed linking, as it is done by binutils now.

 -- Pino Toscano <pino@debian.org>  Sun, 15 May 2022 08:17:26 +0200

pinfo (0.6.13-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS: video.c:112:26: error: format '%d' expects argument of type
    'int', but argument 2 has type 'long unsigned int' [- Werror=format=]":
    Add patch from upstream Git repository to use %ld to print longs.
    (Closes:#997293)

 -- gregor herrmann <gregoa@debian.org>  Sun, 08 May 2022 14:36:50 +0200

pinfo (0.6.13-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957686)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 28 Oct 2020 19:06:48 +0000

pinfo (0.6.13-1) sid; urgency=medium

  * New upstream release
    - Fix crash on some architectures (Closes: #922455)
  * Remove patch 0001-Fix-signed-unsigned-comparisons-causing-Wsign-compar.patch
    (included in upstream)

 -- Bas Zoetekouw <bas@debian.org>  Sat, 16 Feb 2019 21:28:19 +0100

pinfo (0.6.12-2) unstable; urgency=medium

  * Fix build failures on 32 bit architectures (fixed signed/unsigned comparison)

 -- Bas Zoetekouw <bas@debian.org>  Mon, 11 Feb 2019 15:59:41 +0100

pinfo (0.6.12-1) unstable; urgency=medium

  * New upstream release
    - minor release to fix the use of default colors (COLOR_DEFAULT) on ncurses
      installs; COLOR_DEFAULT values in pinforc were silently ignored, causing
      pinfo to use black-on-balc or white-on-white text
    - remove AM_MAINTAINER_MODE from autoconf scripts to make sure all necessary
      files are always rebuilt on ./configure && make
    - fix possible buffer overflow (and compiler error with gcc 8.2)

 -- Bas Zoetekouw <bas@debian.org>  Mon, 11 Feb 2019 10:06:28 +0100

pinfo (0.6.11-1) unstable; urgency=medium

  * New upstream release
    - Gracefully handle missing indirect info nodes
      (Closes: #298865)
    - Fix infinite loop when regexp-matching an empty string
      (Closes: #358389)
    - Fix loading of bare info pages (i.e., without .info extension)
      (Closes: #496840)
    - Properly load info pages whose name starts with "dir"
      (Closes: #496840)
    - Changes and tweaks to the auto* build tools
    - Get rid of inlined functions, which break building with gcc7
      (Closes: #853613)
    - Fix segfautl when closing unopened file
    - Fix typos in docs
    - Fix compiler warnings
    - Fix a number of out-of-buffer bugs, buffer overflows, string truncations
    - Clean up documentation
    - Correctly handle redirected stdin and/or stdout (Closes: #671306)
    - Fix crash after failed global search
    - Make curses mouse behaviour configurable
      Note: this changes the default behaviour to not capture the mouse. To
      restore the old behaviour, set GRAB-MOUSE=true in pinforc.
    - Avoid an infinite loop for malformed info pages
    - Add readline tab completion for nodes (Closes: #431708)
    - Correct parse node links that span multiple (indented) lines.
      (https://github.com/baszoetekouw/pinfo/issues/6)
    - If a direct info page hit isn't found, try to look up a node in the dir
      (https://github.com/baszoetekouw/pinfo/issues/6)
    - Improve lookup of info pages
      (https://github.com/baszoetekouw/pinfo/issues/6)
    - Fix linking to man pages in a different section
      (https://github.com/baszoetekouw/pinfo/issues/6)
    - Fix the -n/--node command line option (LP: #1599374)
  * Switch to plain debhelper 11 and source format 3.0 quilt
  * Update standards-version to 4.3.0
  * Update watch file
  * Update package description

 -- Bas Zoetekouw <bas@debian.org>  Sat, 09 Feb 2019 22:38:06 +0100

pinfo (0.6.9-5.2) unstable; urgency=low

  [ Joost van Baal-Ilić ]
  * Get rid of undefined references to inline functions when compiling
    with gcc-7 using -Os by first declaring these 3 functions without

