=== debian/control ===
Source: pinfo
Section: doc
Priority: optional
Maintainer: Sven Geuer <sge@debian.org>
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (=13),
               gettext,
               install-info,
               libncurses-dev,
               libreadline-dev,
               texinfo,
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/pinfo
Vcs-Git: https://salsa.debian.org/debian/pinfo.git
Homepage: https://github.com/baszoetekouw/pinfo

Package: pinfo
Architecture: any
Provides: info-browser,
Depends: install-info,
         ${misc:Depends},
         ${shlibs:Depends},
Description: user-friendly console-based viewer for Info document files
 Info document is an old (pre-html) hypertextual documentation format that is
 tradionally used for documentation of GNU utilities. GNU's default reader for
 info pages (simply called "info") however is not very easy to use due to its
 arcane key bindings.
 .
 Pinfo provides a somewhat more user-friendly interface for reading info pages
 on the console.  It uses regular keybinding (cursor keys do what you expect,
 and navigating through a document is straightforward).
