=== debian/watch ===
version=4
opts=\
	"" \
https://github.com/baszoetekouw/pinfo/tags \
(?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
